%ifarch %{ocaml_native_compiler}
%undefine _debugsource_packages
%else
%global debug_package %{nil}
%endif

%define oname result

Name:           ocaml-%{oname}
Version:        1.5
Release:        %mkrel 5
Summary:        Standard IO library for OCaml
License:        BSD
Group:          Development/OCaml
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/%{version}/%{oname}-%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-dune

%description
Stdio implements simple input/output functionalities for OCaml.

It re-exports the input/output functions of the OCaml standard
libraries using a more consistent API.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc CHANGES.md README.md
%license LICENSE.md

%files devel -f .ofiles-devel
%license LICENSE.md


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 1.5-5.mga10
+ Revision: 2251020
- Mageia 10 Mass Rebuild

* Tue Apr 08 2025 pterjan <pterjan> 1.5-4.mga10
+ Revision: 2174242
- Rebuild for ocaml 5.3.0

* Thu May 19 2022 pterjan <pterjan> 1.5-3.mga9
+ Revision: 1859016
- Rebuild for OCaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 1.5-2.mga9
+ Revision: 1833104
- Mageia 9 Mass Rebuild

* Tue Oct 12 2021 tv <tv> 1.5-1.mga9
+ Revision: 1750729
- 1.5

* Wed Mar 03 2021 tv <tv> 1.3-13.mga9
+ Revision: 1697204
- rebuild for ocaml-4.2-12

* Wed Mar 03 2021 tv <tv> 1.3-12.mga9
+ Revision: 1696616
- rebuild for ocaml-4.2-12
- rebuild for ocaml-4.2-12

* Sun Jan 10 2021 pterjan <pterjan> 1.3-10.mga8
+ Revision: 1670296
- Rebuild to generate ocamlx provides

* Fri Aug 21 2020 umeabot <umeabot> 1.3-9.mga8
+ Revision: 1617574
- Rebuild for new ocaml deps generator

* Fri Feb 28 2020 umeabot <umeabot> 1.3-8.mga8
+ Revision: 1551496
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1.3-7.mga8
+ Revision: 1543563
- Mageia 8 Mass Rebuild

* Tue Jan 21 2020 tv <tv> 1.3-6.mga8
+ Revision: 1481911
- rebuild for ocaml-4.10
- switch from jbuilder to dune

* Tue Oct 23 2018 tv <tv> 1.3-5.mga7
+ Revision: 1324171
- rebuild with ocaml-4.07.1

* Tue Oct 23 2018 tv <tv> 1.3-4.mga7
+ Revision: 1324167
- rebuild with ocaml-4.07.1

* Tue Oct 23 2018 tv <tv> 1.3-3.mga7
+ Revision: 1324062
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 1.3-2.mga7
+ Revision: 1323777
- Rebuild for ocaml 4.07

* Wed Aug 29 2018 daviddavid <daviddavid> 1.3-1.mga7
+ Revision: 1255378
- new version: 1.3
- switch to jbuilder

* Sat Jan 13 2018 pterjan <pterjan> 1.2-1.mga7
+ Revision: 1192901
- imported package ocaml-result

